Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.flash
Interface INorFlashMemoryHeap

All Known Implementing Classes:
  NorFlashMemoryHeap

    public interface INorFlashMemoryHeap

Method Summary
`Address` | `allocateAndWriteBlock(byte[] bytes, int offset, int length, INorFlashMemoryHeapScanner scanner)`
`void` | `forceEraseAll()`
`void` | `freeBlockAt(Address address)`
`IMemoryHeapBlock` | `getBlockAt(Address address)`
`long` | `getErasedSequenceCurrentValue()`
`int` | `getSizeAvailable()`
`void` | `scanBlocks(INorFlashMemoryHeapScanner scanner)`

Method Detail

### allocateAndWriteBlock

    Address allocateAndWriteBlock(byte[] bytes,
                                  int offset,
                                  int length,
                                  INorFlashMemoryHeapScanner scanner)
                                  throws RecordStoreException

  Throws:
    `RecordStoreException`

### forceEraseAll

    void forceEraseAll()

### getSizeAvailable

    int getSizeAvailable()
                         throws RecordStoreException

  Throws:
    `RecordStoreException`

### freeBlockAt

    void freeBlockAt(Address address)
                     throws RecordStoreException

  Throws:
    `RecordStoreException`

### getBlockAt

    IMemoryHeapBlock getBlockAt(Address address)
                                throws RecordStoreException

  Throws:
    `RecordStoreException`

### getErasedSequenceCurrentValue

    long getErasedSequenceCurrentValue()

### scanBlocks

    void scanBlocks(INorFlashMemoryHeapScanner scanner)
                    throws RecordStoreException

  Throws:
    `RecordStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"